Core - Bug # 56248

Status: Resolved Priority: Must have
Author: André Haehnel Category:

Created: 2014-02-24 Assigned To:

Updated: 2014-02-28 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subject: You can not add new records (TCA) in the edit mode

Description

It is not possible to add new records in edit mode.

| have appended a small extension (test_tca) to adjust the problem.

| have tested this with version 4.6.18 and 6.1. Without problems.

Only in version 6.2, you can not add new records in edit mode.

Related issues:

related to Core - Task # 54085: Replace all strcmp() calls with === Resolved 2013-11-29

Associated revisions

Revision 630b877b - 2014-02-28 14:19 - André Haehnel

[BUGFIX] Adding new records in edit mode broken

It was not possible anymore to use the "add new record" button
in TCA select fields on records with pid > 0.

This patch makes it work again; the redirect to the original page
gets prevented when a pid is set. This was handled the same way
in4.6 and 6.1.

Change-Id: lec058818405385efdacaebf5080f339371356810
Resolves: #56248

Related: #54085

Releases: 6.2

Reviewed-on: https:/review.typo3.0rg/27935

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-02-24 21:18 - Markus Klein

- Status changed from New to Needs Feedback

Thanks for your report.

What do you mean with "edit mode"?
https://review.typo3.org/27935

#2 - 2014-02-28 13:06 - Gerrit Code Review

- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27935

#3 - 2014-02-28 13:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27935

#4 - 2014-02-28 14:03 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27935

#5 - 2014-02-28 14:17 - Helmut Hummel

- Is Regression changed from No to Yes

#6 - 2014-02-28 14:18 - Helmut Hummel

Regression introduced in #54085

#7 - 2014-02-28 14:18 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27935

#8 - 2014-02-28 14:30 - André Haehnel
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:630b877ba7203b8f2ae8738ce9c80c2a683499¢e0.

Files

test_tca_0.0.0_201402241724.zip 2.8 kB
